<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
db_query("delete from skins where cuser='$anbieter'");
db_query("insert into skins (cuser, skin) values ('$anbieter','$skin')");
## /mysql verbindung aufbauen

if ( $dnr &&
    (
      (istleer($name))||
      (istleer($anschrift))||
      (istleer($ort))||(istleer($plz))||(istleer($land))||(istleer($firstname))||
      (istleer($telefon))||
      (istleer($emailadresse))
    )
   )
 {
  $fehlertext = ltext("anan3_error2");
  db_close();
  include("anbieter_aendern_personendaten.php");
  exit();
}
 
## checken ob feldname angegeben, wenn feldwert angegeben
if ( ((!istleer($freifeldwert1)) && (istleer($freifeldname1)))
  || ((!istleer($freifeldwert2)) && (istleer($freifeldname2)))
  || ((!istleer($freifeldwert3)) && (istleer($freifeldname3))))
 {
  $fehlertext = ltext("anaepe2_error1");
  db_close();
  include("anbieter_aendern_personendaten.php");
  exit();
 }
## /checken ob feldname angegeben, wenn feldwert angegeben

## falls keine kundendaten angegeben wurden soll kundendatenanzeigen=nein sein
if ((istleer($name))
 && (istleer($firma))
 && (istleer($anschrift))
 && (istleer($plzort))
 && (istleer($telefon))
 && (istleer($fax))
 && (istleer($emailadresse))
 && (istleer($kundennummer))
 && (istleer($freifeldname1))
 && (istleer($freifeldname2))
 && (istleer($freifeldname3)))
 {
   $kundendatenanzeigen = "0";
 }
## /falls keine kundendaten angegeben wurden soll kundendatenanzeigen=nein sein

$timestamp = time();

db_query("update anbieter set
name='$name', 
firma='$firma',
anschrift='$anschrift',
plzort='$ort',
telefon='$telefon',
fax='$fax',
emailadresse='$emailadresse',
kundennummer='$kundennummer',
freifeldname1='$freifeldname1',
freifeldname2='$freifeldname2',
freifeldname3='$freifeldname3',
freifeldwert1='$freifeldwert1',
freifeldwert2='$freifeldwert2',
freifeldwert3='$freifeldwert3',
kundendatenanzeigen='$kundendatenanzeigen',
lastchange='$timestamp',
gender = '$gender',
firstname = '$firstname',
plz = '$plz',
land = '$land'
where anbieter='$anbieter'");
$skin = $skin * 1;
if($skin)
{
	db_query("update skins set skin_id='$skin' where cuser='$anbieter'");
}

db_close();

$fehlertext = ltext("anaepe2_error2", array($anbieter));
$fehlertitel = ltext("anaepe2_errortitle");
include("anbieter_aendern.php");
?>
